Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
tripadvisor
/
reviews
/
task_get
/
{id}
Get Business Data Tripadvisor Reviews Results by id
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/tripadvisor/reviews/task_get/{id} \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.url_path": "<string>",
  "result.type": "<string>",
  "result.se_domain": "<string>",
  "result.check_url": "<string>",
  "result.datetime": "<string>",
  "result.title": "<string>",
  "result.location": "<string>",
  "result.reviews_count": 123,
  "result.rating": {},
  "result.rating_type": "<string>",
  "result.value": 123,
  "result.votes_count": 123,
  "result.rating_max": 123,
  "result.rating_distribution": {},
  "result.1": 123,
  "result.2": 123,
  "result.3": 123,
  "result.4": 123,
  "result.5": 123,
  "result.items_count": 123,
  "items": [
    "<string>"
  ],
  "items.type": "<string>",
  "items.rank_group": 123,
  "items.rank_absolute": 123,
  "items.position": "<string>",
  "items.url": "<string>",
  "items.rating": {},
  "items.rating_type": "<string>",
  "items.value": 123,
  "items.votes_count": 123,
  "items.rating_max": 123,
  "items.date_of_visit": "<string>",
  "items.timestamp": "<string>",
  "items.review_id": "<string>",
  "items.title": "<string>",
  "items.review_text": "<string>",
  "items.language": "<string>",
  "items.original_language": "<string>",
  "items.review_images": [
    "<string>"
  ],
  "items.user_profile": {},
  "items.name": "<string>",
  "items.image_url": "<string>",
  "items.location": "<string>",
  "items.reviews_count": "<string>",
  "items.responses": [
    "<string>"
  ],
  "items.text": "<string>",
  "items.response_id": "<string>",
  "items.review_highlights": [
    "<string>"
  ],
  "items.feature": "<string>",
  "items.assessment": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string

task identifier unique task identifier in our system in the UUID format you will be able to use it within 30 days to request the results of the task at any time

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

the number of tasks in the tasks array

version.tasks_error
integer

the number of tasks in the tasks array that were returned an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results

result.url_path
string

URL path received in a POST array

result.type
string

search engine type in a POST array

result.se_domain
string

search engine domain in a POST array

result.check_url
string

direct URL to search engine results you can use it to make sure that we provided accurate results

result.datetime
string

date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

result.title
string

title of the ‘reviews’ element in SERP the name of the local establishment for which the reviews are collected

result.location
string

location of the local establishment address of the local establishment for which the reviews are collected

result.reviews_count
integer

the total number of reviews

result.rating
object

rating of the corresponding local establishment popularity rate based on reviews and displayed in SERP

result.rating_type
string

type of rating here you can find the following elements: Max5, Percents, CustomMax

result.value
number

the average rating based on all reviews

result.votes_count
integer

the number of votes

result.rating_max
integer

the maximum value for a rating_type

result.rating_distribution
object

rating distribution by votes the distribution of votes across the rating in the range from 1 to 5

result.1
integer

votes for the 1-point rating

result.2
integer

votes for the 2-points rating

result.3
integer

votes for the 3-points rating

result.4
integer

votes for the 4-points rating

result.5
integer

votes for the 5-points rating

result.items_count
integer

the number of reviews items in the results array you can get more results by using the depth parameter when setting a task

items
string[]

found reviews you can get more results by using the depth parameter when setting a task

items.type
string

the review’s type possible review types: "tripadvisor_review_search"

items.rank_group
integer

position within a group of elements with identical type values positions of elements with different type values are omitted from rank_group

items.rank_absolute
integer

absolute rank among all the listed reviews absolute position among all reviews on the list

items.position
string

the alignment of the review in SERP can take the following values: right

items.url
string

URL of the reviewer’s profile

items.rating
object

the rating score submitted by the reviewer

items.rating_type
string

the type of the rating can take the following values: Max5

items.value
number

the value of the rating

items.votes_count
integer

the amount of feedback in this case, the value will be null

items.rating_max
integer

the maximum value for a rating_type the maximum value for Max5 is 5

items.date_of_visit
string

date of the reviewer’s visit to the local establishment in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

items.timestamp
string

date and time when the response was published in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

items.review_id
string

ID of the review

items.title
string

title of the owner’s response indicates the owner’s name

items.review_text
string

content of the review

items.language
string

language of the response text

items.original_language
string

language of the untranslated review text

items.review_images
string[]

contains URLs of the images used in the review

items.user_profile
object

information from the reviewer’s profile

items.name
string

reviewer’s profile name

items.image_url
string

URL of the reviewer’s profile image

items.location
string

URL of the reviewer’s profile image

items.reviews_count
string

total number of reviews submitted by the reviewer

items.responses
string[]

contains information about the owner’s response

items.text
string

text of the owner’s response

items.response_id
string

ID of the response

items.review_highlights
string[]

review highlights contains highlighted review criteria and assessments

items.feature
string

reviewed feature

items.assessment
string

feature assessment